This is documentation for the next version of Grafana documentation. For the latest stable release, go to the latest version.

Enterprise Open source Grafana Cloud

Advisor HTTP API

Note

Available in Grafana 12.0 and later.

This API complies with the new Grafana API structure. To learn more refer to documentation about the API structure in Grafana.

This document may not contain the latest version of the API. For the most up-to-date list of available endpoints, refer to advisor.grafana.app/v0alpha1 in Swagger.

This API is in alpha, so it might change in future releases.

The /apis/advisor.grafana.app/* API exposes the results of Grafana Advisor, the app that runs regular health checks on your data sources, plugins, and Grafana instance.

Advisor stores each run as a Check resource. The check’s status.report field contains the number of analyzed items and the list of failures. You can read these checks to create an alert based on Grafana Advisor results. The rest of the endpoints are for internal use.

Requirements

To use the API you need a service account token to authenticate your requests. Refer to HTTP API authentication.

By default, only users with the Admin role can use the Advisor API. For more information, refer to Organization roles.

Endpoints

Note

Reading checks to build alerts is the only supported public use case. The other endpoints are used internally by Grafana Advisor.

To describe the resources that the Advisor API provides, send a GET request to /apis/advisor.grafana.app/v0alpha1/.

These are the available endpoints:

Base path: /apis/advisor.grafana.app/v0alpha1/namespaces/{namespace}/

Replace {namespace} with your namespace. To learn which namespace to use, refer to the API overview.

MethodSummaryPath
GETList checkschecks
POSTCreate a checkchecks
DELETEDelete a collection of checkschecks
GETGet a checkchecks/{name}
PUTReplace a checkchecks/{name}
PATCHUpdate a checkchecks/{name}
DELETEDelete a checkchecks/{name}
GETGet the status of a checkchecks/{name}/status
PUTReplace the status of a checkchecks/{name}/status
PATCHUpdate the status of a checkchecks/{name}/status
GETList check typeschecktypes
POSTCreate a check typechecktypes
DELETEDelete a collection of check typeschecktypes
GETGet a check typechecktypes/{name}
PUTReplace a check typechecktypes/{name}
PATCHUpdate a check typechecktypes/{name}
DELETEDelete a check typechecktypes/{name}
GETGet the status of a check typechecktypes/{name}/status
PUTReplace the status of a check typechecktypes/{name}/status
PATCHUpdate the status of a check typechecktypes/{name}/status
POSTRegister check typesregister
GETGet translationstranslations

List checks

GET /apis/advisor.grafana.app/v0alpha1/namespaces/{namespace}/checks

Lists the checks that Advisor has run in the specified namespace, including their results. Advisor creates a new check every time it runs, so the response contains several checks for each check type. To get the current state, use the most recent check of each type.

Path parameters:

  • {namespace}: To learn more about which namespace to use, refer to the API overview.

Query parameters:

  • labelSelector (optional): Filters checks by label. For example, advisor.grafana.app/type=datasource returns only data source checks.
  • limit (optional): Sets the maximum number of checks to return per page.
  • continue (optional): Sets the token from the metadata.continue field of a previous response to fetch the next page.

Example request

The following example shows a request to list checks:

http
GET /apis/advisor.grafana.app/v0alpha1/namespaces/default/checks HTTP/1.1
Accept: application/json
Authorization: Bearer <SERVICE_ACCOUNT_TOKEN>

Replace <SERVICE_ACCOUNT_TOKEN> with your service account token.

Example response

The following example shows the response:

http
HTTP/1.1 200 OK
Content-Type: application/json

{
  "kind": "CheckList",
  "apiVersion": "advisor.grafana.app/v0alpha1",
  "metadata": {
    "resourceVersion": "1762675200000000"
  },
  "items": [
    {
      "kind": "Check",
      "apiVersion": "advisor.grafana.app/v0alpha1",
      "metadata": {
        "name": "check-7xk2p",
        "namespace": "default",
        "creationTimestamp": "2026-11-09T06:00:00Z",
        "labels": {
          "advisor.grafana.app/type": "datasource"
        },
        "annotations": {
          "advisor.grafana.app/status": "processed"
        }
      },
      "spec": {},
      "status": {
        "report": {
          "count": 4,
          "failures": [
            {
              "severity": "high",
              "stepID": "health-check",
              "item": "Production Prometheus",
              "itemID": "prometheus-prod",
              "links": [
                {
                  "url": "/connections/datasources/edit/prometheus-prod",
                  "message": "Fix me",
                  "messageKey": "advisor.link.fix-me"
                }
              ]
            }
          ]
        }
      }
    },
    {
      "kind": "Check",
      "apiVersion": "advisor.grafana.app/v0alpha1",
      "metadata": {
        "name": "check-m4q9z",
        "namespace": "default",
        "creationTimestamp": "2026-11-09T06:00:05Z",
        "labels": {
          "advisor.grafana.app/type": "plugin"
        },
        "annotations": {
          "advisor.grafana.app/status": "processed"
        }
      },
      "spec": {},
      "status": {
        "report": {
          "count": 12,
          "failures": []
        }
      }
    }
  ]
}

Each item in the items array is one check. The following fields are the most relevant to evaluate check results:

  • metadata.labels["advisor.grafana.app/type"]: The check type, for example datasource, plugin, config, instance, or ssosetting.
  • metadata.annotations["advisor.grafana.app/status"]: The processing status of the check. The value is processed when the check finishes successfully, or error if the check failed to run. The annotation is missing while the check is still running.
  • metadata.creationTimestamp: When the check ran. Use it to find the most recent check of each type.
  • status.report.count: The number of items the check analyzed.
  • status.report.failures: The list of issues the check found. An empty list means that the check found no issues.

Each entry in status.report.failures contains the following fields:

  • severity: The severity of the issue: high for issues that need action, or low for issues that need investigation.
  • stepID: The ID of the check step that found the issue, for example health-check.
  • item: The human-readable name of the affected item, for example a data source name.
  • itemID: The ID of the affected item, for example a data source UID.
  • links: Links to pages where you can fix the issue. Each link contains a url, a message, and an optional messageKey with the translation key of the message.

Status codes

The endpoints on this page return the following status codes:

CodeMeaningReturned by
200OK.List
400Bad request (invalid labelSelector).List
401Unauthorized.List
403Access denied, for example if you don’t have the Admin role or the namespace doesn’t belong to your organization.List

Use the following resources to keep working with Grafana Advisor and the Grafana APIs: